from flask import Flask,request,render_template,jsonify,redirect, url_for, session
import json
import os
import requests
from wifi import Cell,Scheme
from wireless import Wireless
from flask_bootstrap import Bootstrap

app = Flask(__name__)
bootstrap = Bootstrap(app)
recent_dir = os.path.abspath(os.path.dirname(__file__))
wifi_list = []
wifi_name_list = []
def wifi_scan():
    wifi_list.clear()
    wifi_name_list.clear()
    wifi_name_list.append("TEST WIFI")
    wireless = Wireless()
    cells = Cell.all('wlan0')
    for cell in cells:
        wifi_list.append(cell)
        wifi_name_list.append(cell.ssid)

def print_wifi():
    for i in wifi_name_list:
        print(i)

def getWifiCell(ssid):
    for i in wifi_list:
        if i.ssid == ssid:
            return i
    return None

def is_encrypted(cell):
    if cell is not None:
        return i.encrypted
    else:
        return None

def connect_wifi(ssid, password):
    ret = wireless.connect(ssid,password)
    if ret == False:
        print("Error : Cannot Connect to Wifi {}".format(ssid))
    else:
        print("Success")


@app.route('/')
def main():
    return render_template('demo.html')

@app.route('/initial')
def initial():
    return 'HTTP OK'


@app.route('/wifi_scan')
def wifi_config():
    wifi_scan()
    return render_template('wifi.html', data=wifi_name_list)

@app.route('/wifi_pass/<string:ssid>', methods=['GET'])
def wifi_pass(ssid):
    print("Ready for Connecting to {}".format(ssid))
    print_wifi()
    cell = getWifiCell(ssid)
    print(cell.ssid)
    if(cell is not None):
        if(is_encrypted(cell) == True):
            return render_template('index.html')
        else:
            return render_template('index.html', data=False)
    else:
        return "{}".format(cell.ssid)

if __name__ == '__main__':
    app.run(host='0.0.0.0',     port=8080, debug=True)
